#############################################################################
## Logging utilities.
##
## --------------------------------------------------------------------------
## Copyright (C) 2016 The Regents of the University of California.
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##
## $Id: logging.rb,v 1.1 2016/06/30 01:10:29 youngh Exp $
#############################################################################

module ArkUtil

# A class that you can use as a (partial) substitute for standard Syslog
# in situations where you want all syslog output to be redirected to stderr
# with no actual logging to disk (for example, to reduce wear on SD cards).
#
# You can invoke the same logging methods as Syslog; for example:
#
#   @log.err "invalid target '%s' in '%s'", target, path
class StderrLogger
  def method_missing(name, *args)
    args[0] = name.to_s.upcase! + ": " + args[0] + "\n"
    $stderr.printf *args
  end
end

end  # module ArkUtil
